---
# Action to perfom on the gitops workingcopy
sx_git_action: "none"

# repository url (used for creation, later is overwrited by local git)
# sx_git_remote_url: "http://gitlab.com/myexamplerepo.git"
# remote repository name in local copy
sx_git_remote_name: "origin"

# directory used to store various working copies. Should be a dedicated directory with
sx_git_path: "/tmp/git-sxcm/example_repo"
# local branch (linked to the sx_git_remote_branch branch)
sx_git_branch: "main"

## if vault feature is enabled
sx_git_vault_enable: false
sx_git_vault_path: 'your/vault/path/kv/secret'

# Configure message when initializing the repository
sx_git_commmit_message: "Initialize repository with README.md file"
# Force to re-init the repository and reset the readme.md file
sx_git_init_force: false
# The default template to use for the README file
sx_git_init_template: "default"

# Default definition of the workingcopy
# will be overided when init
sx_git_description: {}
